# Armbian u-boot install script for linux-u-boot-odroidhc4-edge 2025.04-S3482-P6c66-Hbf01-V8859-Bb703-R448a
# This file provides functions for deploying u-boot to a block device.
DIR=/usr/lib/linux-u-boot-edge-odroidhc4
write_uboot_platform () 
{ 
    dd if=$1/u-boot.bin of=$2 bs=1 count=442 conv=fsync 2>&1;
    dd if=$1/u-boot.bin of=$2 bs=512 skip=1 seek=1 conv=fsync 2>&1
}
write_uboot_platform_mtd () 
{ 
    declare -a extra_opts_flashcp=("--verbose");
    if flashcp -h | grep -q -e '--partition'; then
        echo "Confirmed flashcp supports --partition -- read and write only changed blocks." 1>&2;
        extra_opts_flashcp+=("--partition");
    else
        echo "flashcp does not support --partition, will write full SPI flash blocks." 1>&2;
    fi;
    flashcp "${extra_opts_flashcp[@]}" "${1}/u-boot-spi.bin" /dev/mtd0
}

